#!/usr/bin/env ruby
# encoding: utf-8

seen = {}
File.open('/usr/share/dict/words', 'r').each_line do |l|
  l.chomp!
  l.downcase!
  next unless l.match %r{^[a-z]+$}
  seen[l]=1
end
words = seen.keys
seen = {}

generated = 0

while generated < 1000000
  new_name = words.sample(2).join(' ')
  next if seen.include? new_name
  seen[new_name] = 1
  generated += 1
  printf "%d\t%s\n", generated, new_name
end
